Name:           seq24
Version:        0.9.3
Release:        1%{?dist}
Summary:        Loop sequencer

License:        GPLv2
URL:            https://launchpad.net/%{name}
Source0:        https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Patch0:         01-mutex.patch
BuildRequires:  gcc /usr/bin/g++ jack-audio-connection-kit-devel /usr/bin/aclocal automake gtkmm24-devel alsa-lib-devel
Requires:       jack-audio-connection-kit portaudio portmidi gtkmm24

%description
Seq24 is a minimal loop based midi sequencer, created to provide a simple interface for editing and playing midi loops, similar to the Akai MPC, Kawai Q80, and Alesis MMT-8.

%package debug
Summary:   Seq24 debug build
Requires:  %{name} = %{version}

%description debug
Debug build for Seq24

%prep
%setup -q
%patch0 -p1
aclocal
automake

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir}

%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Dec 13 2021 Klaatu <klaatu@fedoraproject.org>
- Package
